%global dlrn_nvr tripleo-common-11.7.1.dev27-2.20211218004850.173edba
%global dlrn 1
%define upstream_version 11.7.1.dev27
# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-common

%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

%global common_desc Python library for code used by TripleO projects.

%{?!_licensedir:%global license %%doc}

Name:           openstack-tripleo-common
Summary:        Python library for code used by TripleO projects.
Version: 11.7.1
Release: 2.20211218004850.173edba%{?dist}
License:        ASL 2.0
URL:            https://github.com/rdo-management/tripleo-common

Source0: tripleo-common-11.7.1.dev27-2.20211218004850.173edba.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=173edbafab6f1f4a25f31771d49affc411e6ee49
Patch0001: 0001-DOWNSTREAM-ONLY-Update-container_image_prepare_defau.patch
Patch0002: 0002-DOWNSTREAM-ONLY-set-tag_from_label-to-version-releas.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Downstream-repo-and-package-install-.patch
Patch0004: 0004-DOWNSTREAM-ONLY-remove-horizon-ui-packages-we-don-t-.patch
Patch0005: 0005-DOWNSTREAM-ONLY-exclude-fluentd-gem-plugins.patch
Patch0006: 0006-Drop-packages-not-shipped-in-OSP.patch
Patch0007: 0007-exclude-neutron-fwaas.patch
Patch0008: 0008-drop-python3-networking-generic-switch.patch
Patch0009: 0009-DOWNSTREAM-ONLY-drop-odl-designate-and-tripleo-ui-co.patch
Patch0010: 0010-downstream-ironic-conductor-Add-pkgs-for-RHV-integra.patch
Patch0011: 0011-DOWNSTREAM-ONLY-drop-Sahara-containers.patch
Patch0012: 0012-exclude-neutron-vpn-agent-for-l3-container.patch
Patch0013: 0013-DOWNSTREAM-ONLY-Adding-checks-to-fail-early-if-Sahar.patch
Patch0014: 0014-DOWNSTREAM-ONLY-Switch-to-GA-container-locations.patch
Patch0015: 0015-DOWNSTREAM-ONLY-Fix-rhcs4-dashboard-container-tag-na.patch
Patch0016: 0016-DOWNSTREAM-ONLY-Fix-node-exporter-tag.patch
Patch0017: 0017-DOWNSTREAM-ONLY-Fix-grafana-container-location-tag.patch
Patch0018: 0018-DOWNSTREAM-ONLY-Bump-grafana-container-to-ceph4-rhel.patch
Patch0019: 0019-DOWNSTREAM-ONLY-Add-Designate-containers.patch
Patch0020: 0020-DOWNSTREAM-ONLY-remove-shara-ui-from-horizon-contain.patch
Patch0021: 0021-DOWNSTREAM-ONLY-remove-workaround-for-ceilometermidd.patch
Patch0022: 0022-DOWNSTREAM-ONLY-add-python3-pyngus-to-ceilometer-nof.patch
Patch0023: 0023-DOWNSTREAM-ONLY-Update-container-tags-for-16.1.patch
Patch0024: 0024-DOWNSTREAM-ONLY-Update-container-images-tripleo_cont.patch
Patch0025: 0025-Remove-sahara-images-from-container-images-tripleo_c.patch
Patch0026: 0026-DOWNSTREAM-ONLY-Update-container-tags-for-16.2.patch
Patch0027: 0027-DOWNSTREAM-ONLY-fix-check-for-Sahara-API-service-sta.patch
Patch0028: 0028-DOWNSTREAM-ONLY-Fix-Sahara-API-check-syntax-error.patch
Patch0029: 0029-Add-ComputeNeutronl3Agent-link-to-neutron-l3-agent-c.patch
Patch0030: 0030-Add-missing-ComputeNeutronMetadataAgent-service-into.patch
Patch0031: 0031-DOWNSTREAM-ONLY-Bump-the-monitoring-stack-containers.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires: /usr/bin/pathfix.py

Requires: golang-github-vbatts-tar-split >= 0.11.1
Requires: skopeo
Requires: ansible >= 2.9.10
# Ansible roles used by TripleO
Requires: ansible-role-container-registry
Requires: ansible-role-tripleo-modify-image
Requires: ansible-pacemaker
Requires: ansible-tripleo-ipa
Requires: ansible-tripleo-ipsec
%if 0%{rhosp} == 1
Requires: ansible-role-redhat-subscription
%endif

Requires: buildah
%if 0%{?fedora}
Requires: fuse-overlayfs
%endif

Requires: %{name}-containers = %{version}-%{release}
%if 0%{?with_python3}
Requires: python3-%{upstream_name} = %{version}-%{release}
%else
Requires: python2-%{upstream_name} = %{version}-%{release}
%endif

Provides:  tripleo-common = %{version}-%{release}
Obsoletes: tripleo-common < %{version}-%{release}

%description
%{common_desc}

%if 0%{?with_python3}
%package -n python3-%{upstream_name}
Summary:        Python library for code used by TripleO projects.

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet
BuildRequires:  python3-pbr
BuildRequires:  python3-cryptography
BuildRequires:  python3-GitPython
BuildRequires:  python3-fixtures
BuildRequires:  python3-glanceclient
BuildRequires:  python3-heatclient
BuildRequires:  python3-ironicclient
BuildRequires:  python3-ironic-inspector-client
BuildRequires:  python3-jinja2
BuildRequires:  python3-metalsmith
BuildRequires:  python3-mistral-lib
BuildRequires:  python3-mistralclient
BuildRequires:  python3-novaclient
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-rootwrap
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-paramiko
BuildRequires:  python3-passlib
BuildRequires:  python3-requests-mock
BuildRequires:  python3-swiftclient
BuildRequires:  python3-tenacity
BuildRequires:  python3-testtools
BuildRequires:  python3-zaqarclient
BuildRequires:  python3-yaml

Requires: python3-GitPython
Requires: python3-jinja2
Requires: python3-glanceclient >= 1:2.8.0
Requires: python3-heatclient >= 1.10.0
Requires: python3-ironic-inspector-client >= 1.5.0
Requires: python3-ironicclient >= 2.3.0
Requires: python3-keystoneclient
Requires: python3-novaclient >= 1:9.1.0
Requires: python3-metalsmith >= 0.9.0
Requires: python3-mistral-lib >= 0.3.0
Requires: python3-mistralclient >= 3.1.0
Requires: python3-netaddr
Requires: python3-netifaces
Requires: python3-oslo-concurrency >= 3.26.0
Requires: python3-oslo-config >= 2:5.2.0
Requires: python3-oslo-log >= 3.36.0
Requires: python3-oslo-rootwrap >= 5.8.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-six >= 1.10.0
Requires: python3-passlib >= 1.7.0
Requires: python3-keystoneauth1 >= 3.4.0
Requires: python3-pbr >= 2.0.0
Requires: python3-zaqarclient >= 1.0.0
Requires: python3-paramiko
Requires: python3-eventlet >= 0.20.0
Requires: python3-jsonschema >= 2.6.0
Requires: python3-requests >= 2.18.0

Requires: python3-tenacity >= 4.4.0
Requires: python3-cryptography

%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
%{common_desc}
%else

%package -n python2-%{upstream_name}
Summary:        Python library for code used by TripleO projects.

BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-eventlet
BuildRequires:  python2-pbr
BuildRequires:  python2-cryptography
BuildRequires:  python2-futures
BuildRequires:  GitPython
BuildRequires:  python2-fixtures
BuildRequires:  python2-glanceclient
BuildRequires:  python2-heatclient
BuildRequires:  python2-ironicclient
BuildRequires:  python2-ironic-inspector-client
BuildRequires:  python2-jinja2
BuildRequires:  python2-metalsmith
BuildRequires:  python2-mistral-lib
BuildRequires:  python2-mistralclient
BuildRequires:  python2-novaclient
BuildRequires:  python2-oslo-concurrency
BuildRequires:  python2-oslo-i18n
BuildRequires:  python2-oslo-log
BuildRequires:  python2-oslo-utils
BuildRequires:  python2-oslo-rootwrap
BuildRequires:  python2-oslotest
BuildRequires:  python2-paramiko
BuildRequires:  python2-passlib
BuildRequires:  python2-swiftclient
BuildRequires:  python2-tenacity
BuildRequires:  python2-testtools
BuildRequires:  python2-zaqarclient
BuildRequires:  python-requests-mock
BuildRequires:  python-yaml

Requires: GitPython
Requires: python2-jinja2
Requires: python2-glanceclient >= 1:2.8.0
Requires: python2-heatclient >= 1.10.0
Requires: python-ironic-inspector-client >= 1.5.0
Requires: python2-ironicclient >= 2.3.0
Requires: python2-keystoneclient
Requires: python2-novaclient >= 1:9.1.0
Requires: python2-metalsmith >= 0.13.0
Requires: python2-mistral-lib >= 0.3.0
Requires: python2-mistralclient >= 3.1.0
Requires: python2-netaddr
Requires: python-netifaces
Requires: python2-oslo-concurrency >= 3.26.0
Requires: python2-oslo-config >= 2:5.2.0
Requires: python2-oslo-log >= 3.36.0
Requires: python2-oslo-rootwrap >= 5.8.0
Requires: python2-oslo-utils >= 3.33.0
Requires: python2-six >= 1.10.0
Requires: python2-passlib >= 1.7.0
Requires: python2-keystoneauth1 >= 3.4.0
Requires: python2-pbr >= 2.0.0
Requires: python2-zaqarclient >= 1.0.0
Requires: python-paramiko
Requires: python2-tenacity >= 4.4.0
Requires: python2-cryptography
Requires: python2-futures
Requires: python2-eventlet >= 0.20.0
Requires: python2-jsonschema >= 2.6.0
Requires: python2-requests >= 2.18.0

%{?python_provide:%python_provide python2-%{upstream_name}}

%description -n python2-%{upstream_name}
%{common_desc}

%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git
rm -rf *.egg-info
# TODO(cjeanner) remove the "touch" call once https://review.opendev.org/c/openstack/tripleo-common/+/772412 merges
touch healthcheck/http-healthcheck.py
%if 0%{?with_python3}
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" healthcheck/http-healthcheck.py
%endif

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%if 0%{?with_python3}
%py3_build
%else
%py2_build
%endif

%install
%if 0%{?with_python3}
%py3_install
%else
%py2_install
%endif

# TODO remove this when https://review.openstack.org/#/c/591346/ merges
touch %{buildroot}%{_bindir}/create_freeipa_enroll_envfile.py

# TODO remove this when https://review.openstack.org/#/c/675136/ merges
touch %{buildroot}%{_bindir}/tripleo-deploy-openshift

if [ -d %{buildroot}/%{_datadir}/%{upstream_name} ]; then
  mv %{buildroot}/%{_datadir}/%{upstream_name} %{buildroot}/%{_datadir}/%{name}
else
  # Before https://review.openstack.org/#/c/327830/3/setup.cfg
  mkdir -p %{buildroot}/%{_datadir}/%{name}
  if [ -d image-yaml ]; then
    install -d -m 755 %{buildroot}/%{_datadir}/%{name}
    cp -ar image-yaml %{buildroot}/%{_datadir}/%{name}
  fi
fi
ln -s %{name} %{buildroot}%{_datadir}/%{upstream_name}

if [ -d workbooks ]; then
  cp -ar workbooks %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/workbooks
fi

if [ -d playbooks ]; then
  cp -ar playbooks %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/playbooks
fi

if [ -d healthcheck ]; then
  cp -ar healthcheck %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/healthcheck
fi

if [ ! -d roles ]; then
  mkdir -p %{buildroot}/%{_datadir}/ansible/roles
fi

if [ ! -d ansible_plugins ]; then
  mkdir -p %{buildroot}/%{_datadir}/ansible/plugins
fi

mkdir -p %{buildroot}/%{_datadir}/%{name}-containers
mv %{buildroot}/%{_datadir}/%{name}/container-images %{buildroot}/%{_datadir}/%{name}-containers/
# compat symlink
ln -s ../%{name}-containers/container-images  %{buildroot}/%{_datadir}/%{name}/

if [ -d heat_docker_agent ]; then
  cp -ar heat_docker_agent %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/heat_docker_agent
fi

install -p -D -m 440 sudoers %{buildroot}%{_sysconfdir}/sudoers.d/%{upstream_name}

if [ -f %{buildroot}%{_bindir}/upgrade-non-controller.sh ]; then
  rm -rf %{buildroot}%{_bindir}/upgrade-non-controller.sh
fi

%check
%if 0%{?with_python3}
export PYTHON=/usr/bin/python3
# (TODO) ignoring unit test errors as reported in https://bugs.launchpad.net/tripleo/+bug/1778903
%{__python3} setup.py test||true
%else
%{__python2} setup.py test
%endif

%package containers
Summary: Files for building TripleO containers

%description containers
This package installs the files used to build containers for TripleO.

%package container-base
Summary: Package for the TripleO base container image
Requires: crudini
Requires: curl
Requires: hostname
Requires: iproute
Requires: lsof
Requires: procps-ng
Requires: puppet
Requires: sudo

%description container-base
This package installs the dependencies and files which are required on the base
TripleO container image.

%package devtools
Summary: A collection of tools for TripleO developers and CI
Requires: %{name} = %{version}-%{release}

%description devtools
This package installs the TripleO tools for developers and CI that typically
don't fit in a product.

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_datadir}/%{name}
%{_datadir}/%{upstream_name}
%{_sysconfdir}/sudoers.d/%{upstream_name}
%{_datadir}/ansible/roles
%{_datadir}/ansible/plugins

%if 0%{?with_python3}
%files -n python3-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python3_sitelib}/tripleo_common*
%exclude %{python3_sitelib}/tripleo_common/test*
%{_bindir}/tripleo-build-images
%{_bindir}/upload-puppet-modules
%{_bindir}/upload-swift-artifacts
%{_bindir}/run-validation
%{_bindir}/tripleo-config-download
%{_bindir}/tripleo-container-image-prepare
%if 0%{rhosp} == 0
%{_bindir}/tripleo-deploy-openshift
%else
%exclude %{_bindir}/tripleo-deploy-openshift
%endif
%{_bindir}/create_freeipa_enroll_envfile.py
%else
%files -n python2-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_common*
%exclude %{python2_sitelib}/tripleo_common/test*
%{_bindir}/tripleo-build-images
%{_bindir}/upload-puppet-modules
%{_bindir}/upload-swift-artifacts
%{_bindir}/run-validation
%{_bindir}/tripleo-config-download
%{_bindir}/tripleo-container-image-prepare
%if 0%{rhosp} == 0
%{_bindir}/tripleo-deploy-openshift
%else
%exclude %{_bindir}/tripleo-deploy-openshift
%endif
%{_bindir}/create_freeipa_enroll_envfile.py
%endif

%files containers
%{_datadir}/%{name}-containers/container-images

%files container-base
%{_bindir}/bootstrap_host_exec
%{_bindir}/bootstrap_host_only_eval
%{_bindir}/bootstrap_host_only_exec
%{_datadir}/%{name}/healthcheck

%files devtools
%{_bindir}/pull-puppet-modules

%changelog
* Fri Dec 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211218004850.173edba
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add tempest to sudoers for tempest container image

* Sat Dec 04 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211204224856.8085170
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix namespace-less containers in image-serve

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211119065851.877785a
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Disable ubi repos during container builds

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211112154912.b26f4d4
- Update patches

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211112142922.b26f4d4
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [EL8] Add nodejs:14 module stream

* Mon Oct 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211026010025.61234fd
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add ipa client to tripleoclient container

* Mon Oct 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211025130410.5cd928f
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- add kernel-modules-extra in overcloud image needed for HWOL

* Thu Oct 14 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211014082809.da9e737
- Update patches

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211014011242.da9e737
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix awk expression

* Mon Oct 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211012004906.8a5a076
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Revert "Allow for OCI manifests""
- Add a retry to the instropection waiting workbook

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20211008114847.7bd5cf8
- [DOWNSTREAM-ONLY] Bump the monitoring stack containers to v4.6 (rhbz#2004987)

* Tue Sep 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210908004826.7bd5cf8
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train-only] Upload validation container in swift

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210821004809.89d1797
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Replace upgrades template when providers run again

* Fri Aug 13 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210813224807.04a64aa
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove redhat-release package from UBI8 image

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210811234813.2ae97d3
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210811224812.2ae97d3
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove ironic-inspector dnsmasq healthcheck

* Mon Aug 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210802105338.9991292
- Remove ironic-inspector dnsmasq healthcheck (rhbz#1961237)
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Bump nautilus containers to v4.0.19

* Thu Jul 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210708234805.248622a
- Update patches

* Thu Jul 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210708225707.248622a
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add missing IPv6 support for healthcheck_port

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210707130026.746a8d7
- Add missing IPv6 support for healthcheck_port (rhbz#1979524)

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210703224810.746a8d7
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- directly use files instread of tcib_gather_files

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210702225859.e3a1ab7
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add interface-names to overcloud-hardened-images-uefi-rhel8
- [train-only] Prevent circular inventory group when overcloud stack does not exist

* Wed Jun 30 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210630234808.d4fe1ff
- Update patches

* Wed Jun 30 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210630225945.d4fe1ff
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Rename hieradata_files result var

* Tue Jun 29 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210629134811.90725a9
- Rename hieradata_files result var

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210618225926.90725a9
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Move rabbitmq healthcheck to something more modern

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.1-2.20210611004851.fdd2fb3
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix config parsing in memcached healthcheck

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 11.7.0-2.20210607235817.7d9b086
- Update patches

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210603180854.7d9b086
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix site-packages in horizon's extend_start.sh
- Add an internal index to network_data

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210528132130.7599a38
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210513014807.7599a38
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Don't install dhcp-all-interfaces for redhat 8 onwards

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210426235736.bc98710
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Victoria and bellow] Ensure rights on the ansible.log file

* Sun Apr 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.1-2.20210426005759.bb1e04c
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add host_vars to define tasks executed before network configurations
- Fix neutron driver detection for containers params

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 11.6.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Revert "Fix a couple of Swift healthchecks""
- healthcheck_port: drop lsof in favor of awk/find
- container-images: fix Cinder when running at Edge
- Add ceph-ansible to tripleoclient container
- exclude redhat-release from yum update in openstack-base
- Create a container for Unbound DNS resolver
- Use quay.ceph.io to pull the Ceph Dashboard related images

* Sat Mar 27 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Drop inject_facts_as_vars

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Don't allow rotation of HeatAuthEncryptionKey

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to tripleo namespace grafana images

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove copy_ssh_key task from validation workbook

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [stable-only] Fix legacy password handling

* Fri Mar 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2.

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Removes unneeded zuul layout overrides - templates for consistency

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove layout override and wire up buildimage template instead

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Handle containers without a namespace

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix fact definition for deployments
- Reduce fact gathering
- Switch defaults to quay.io

* Tue Mar 02 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add cloud-admin user to tripleoclient container

* Fri Feb 26 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add python3-pymemcache to tcib

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 11.5.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add SITE_PACKAGES variable to horizon extend_start

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train Only] Remove python-pip from base image

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix placement endpoint check when endpoints are not set

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Conditionally use python instead of cURL

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Use the new IPA-builder element for installing python-hardware

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Use the new IPA-builder element for installing python-hardware
- Check existence of expires_in for auth

* Sat Jan 30 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch gnocchi-statsd HC to healthcheck_port
- Cleanup and add test coverage for inventory without overcloud

* Fri Jan 29 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [TRAIN-Only] Make forks configurable

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [stable] Raise proper error for None network config

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- TCIB: Add cinder-volume extend_start.sh script

* Wed Jan 20 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Move daxio package to be arch specific

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix localization for horizon container

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- remove c7 update/upgrdae jobs
- Wire up new tripleo upgrades jobs template

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Enable pylint
- Fix ImportWarning during importing a module

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Jan 05 2021 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Move away from "ss" and drop default verbose mode

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Dec 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Changed retry logic on buildah build (train)

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add daxio package for nvdimm scenario

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Add better exception logging for builds"
- Fix wait condition for retry
- Add better exception logging for builds
- Change qemu user id to match previous releases
- The lower constraint file has been removed
- remove lower-constraints
- TCIB: Pick not best when building on centos/ubi
- Re-add ndctl to nova-compute image

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2. (rhbz#1858575)
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image (rhbz#1858575)
- [DOWNSTREAM-ONLY] Fix Sahara API check syntax error (rhbz#1740325)
- [DOWNSTREAM ONLY] fix check for Sahara API service status on upgrade (rhbz#1740325)

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to tripleo_dense

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add heat-engine healthcheck
- Add retry to build

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container tags for 16.2 (rhbz#1895986)
- Remove sahara images from container-images/tripleo_containers.yaml.j2 (rhbz#1886730)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Include virt-admin in the nova_libvirt container

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove centos-7-standalone-upgrade

* Sat Oct 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [TRAIN ONLY] Handle empty role Specific Parameter

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [train] Switch to content provider jobs/templates

* Sat Oct 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add tripleo_states to default callback whitelist

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Oct 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Improve bearer auth handling

* Sun Oct 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add both validations path for inflight validation
- Add collectd-libpod-stats to image

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Adjust Ansible forks caculations

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Change image_source from kolla to tripleo
- Fix handling of default_tag

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove the base layers
- Switch to tripleo_containers.yaml
- Lower default verbosity for ansible

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train] Check for existence of stack
- overcloud status report the correct cd for the given plan
- [train-only] Remove duplicated standalone job
- Remove c7 containers multinode job
- Support basic auth for image registry

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Consume ceph, prom, grafana containers from quay.io
- Run tripleo-build-containers-ubi-8 on BuildahBuilder code
- Ensure image files are readable to apache

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add neutron-mlnx-agent container image
- Set PROFILE_TASKS_TASK_OUTPUT_LIMIT
- [TRAIN-Only] Add healthcheck debug flag

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add neutron-mlnx-agent container image
- Set PROFILE_TASKS_TASK_OUTPUT_LIMIT
- [TRAIN-Only] Add healthcheck debug flag
- Add neutron-mlnx-agent container image
- Set PROFILE_TASKS_TASK_OUTPUT_LIMIT
- [TRAIN-Only] Add healthcheck debug flag

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add neutron-mlnx-agent container image
- Set PROFILE_TASKS_TASK_OUTPUT_LIMIT

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [TRAIN-Only] Add healthcheck debug flag

* Mon Sep 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- update tripleo-train tripleo_containers to default names

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add interface-names to Rhel8 images
- [train-only] add ec2-api image into TCIB

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Remove tripleo.skydive_ansible.v1 workbook
- Remove skydive support
- [TRAIN-Only] Default centos8 namespace fix
- tcib: rename kolla_version to tcib_managed
- First pass at script cleanup
- Fix config parser warning
- Relax filter_images_with_labels() and re-add kolla_version
- [squash] Backport RHEL modules into base image
- TCIB: add etcd user to the kolla group
- TCIB: add python3-pynacl to mariadb image
- container-images: add librados2 to gnocchi-base
- tcib: move cradox to gnocchi-base & enable ci on scenario001
- Remove check for ./puppet/services when filtering services

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add modify_only_with_source
- Wait for lock release during power state change
- [TRAIN-Only] Dynamically add centos8 namespace

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add modify_only_with_source
- Wait for lock release during power state change
- [TRAIN-Only] Dynamically add centos8 namespace
- Add modify_only_with_source
- Wait for lock release during power state change
- [TRAIN-Only] Dynamically add centos8 namespace

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [TRAIN-Only] Dynamically add centos8 namespace

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add modify_only_with_source

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Wait for lock release during power state change

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- (backward compatibility) create kolla UIDs/GIDs for TCIB

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure atomic inventory file rename runs on the same mountpoint

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Don't build image upload tasks when dry_run=True

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure tripleo ansible inventory file update is atomic

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to use virt:8.3 for non-kolla container builds

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Correct the inventory generation

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Properly collect tasks with or conditional in step file.

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add exponential backoff to ratelimited requests
- [train-only] add ed25519 to TCIB (placement image)

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Port jobs from centos7 to centos8

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Fix stdout_callback"

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Stop doing tag_from_label lookup with tag
- Reduce workers for label lookups
- Add update and post update tasks to step generated file.

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Don't disable centos-rabbitmq-38 repo in base image

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Handle redirects for blobs better

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add a strict option to per role tasks file generation.

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Run standalone jobs with locally built images

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch 55-heat-config to async

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Drop systemd support from nsswitch.conf

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Implement a new Container Images layout

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Generate a play per step for external_deploy_tasks

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix parameter_defaults for nova less deploy

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [TRAIN-and-older] Reduce wait time to send ansible output

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- config-download remove role arg from _write_tasks_per_step()

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Don't assume default tag exists in container repo

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Retry fetching {{ deployment_uuid }}.notify.json file

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train-Only] Fix mixing nodes and limit_hosts.

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- ansible: limit_hosts now takes precedence over blacklisted_hostnames

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Catch exception if servers are in error state with no bm_node attached

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix stdout_callback

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.4.0-1
- Update patches

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix the ANSIBLE_LOG_PATH value.

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure lanplus is unset when using redfish

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Q->T] Include manila in the Queens to Train Upgrade

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) Update container tags for 16.1 (rhbz#1850204)
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Avoid tox-in-tox issue

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Modify roles to remove unused services
- Do not rotate CephX secrets
- Remove unnecessary Ceph{Admin,Mon,Mds}Key constants
- Add Octavia use of the rsyslog image

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix nova-virtlogd container healthcheck

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to tripleo stdout callback

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- Update patches

* Mon Jun 01 2020 Luke Short <ekultails@gmail.com> 11.3.3-0.20200527133429.f601068
- [Train-Only] Fix mixing nodes and limit_hosts. (rhbz#1840159)

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Removed job tripleo-ci-centos-7-scenario009-multinode-oooq-container

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix the log path on the host.

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix dry-run for "remote copy deployment file" task
- [Train only] Fix for CentOS8 containers build
- Bump ceph/daemon container image to v4.0.12

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Enhance error messages when building containers

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "[Train only] Add ssh timeout for baremetal_deploy"

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Provide container name when raising exceptions

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Improve error reporting for not_done jobs in buildah

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [stable-only] check for stack status IN_PROGRESS to retry

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- builder/buildah: use tenacity to retry failing pushes
- buildah: exclude build and push, not only build

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Switch fact caching connection

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Enable centos-release-opstools repo for centos-8

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) add python3-pyngus to ceilometer-nofification (rhbz#1791364)
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) remove shara-ui from horizon container image list
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- buildah: allow images without type
- linters refresh w/ afferent bugfixes

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- tripleo-ci-centos-7-containerized-undercloud-upgrades -> NV

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- buildah: allow to exclude images from build
- buildah: allow to bind mount volumes when image build
- image/builder/buildah: support Containerfile

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train-Only] Expose --limit, --skip-tags, and --tags in config-download.

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [train-only] Ensure overcloud inventory group exists

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Don't allow provisioned in the defaults section

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix deployments playbook to work in check mode
- Use healthcheck_port for ironic_inspector_dnsmasq healthcheck

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Only add non-empty blacklisted hostnames.

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Use a full string match for container images
- Prevent duplicated hosts in overcloudrc no_proxy

* Sun Apr 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- mariadb: add pynacl dependency to support ed25519

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- utils/config: allows a when to have boolean conditions

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [stable-only] Pass timeout in mins to create_temp_url()

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train only] Fix misused timeout values in the deployment workflow

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Include uc plan var when TripleoInventories contains a single plan

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix multistack inventory
- Add tripleo_role_networks to inventory role group vars
- Preserve existing placement password during extraction
- [stable/train only] Use nodes as hostnames if ironic lookup fails
- Allow ansible_group_vars to be overriden by RoleGroupVars
- [Train only] Wire-in missing concurrency for deploy_instances
- [Train only] Add ssh timeout for baremetal_deploy
- [train-only] Update tripleo-ansible path for fernet playbook
- Fixes for CentOS8 containers build

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix placement dependencies to work with mysql's ed25519

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- (DOWNSTREAM-ONLY) Add Designate containers (rhbz#1805883)
- [DOWNSTREAM-ONLY] Bump grafana container to ceph4-rhel8
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Match hostname when doing node delete

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- Add Designate containers (rhbz#1805883)
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Q->T] Introduce Queens to Train Upgrade
- config-download timeout should KILL the process.

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Disable fact gathering for create_admin

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix path of log file.

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Refactor registry request actions

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add libcgroup-tools to libvirt container
- Improve authentication retries for slow transfers

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Handle race for the already existing layer

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix path of log file.

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Use unversioned RHEL element w/ RHEL8
- Add interface-names to centos8 images

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Re-raise same exception type in export_stream

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add overcloud-ceph image build yaml
- Added overcloud images yaml for CentOS-8

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Change how we test for call

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix upload-swift-artifacts handling of json data

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Improve upload-swift-artifacts handling of json data

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Increase randomness of generated CephFSID
- Bump ceph/daemon container image to v4.0.10

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- deployment: set DeployIdentifier to '' if --skip-deploy-identifier is used
- Fix memcached healthcheck regression
- Do not create temporary swift URLS for ceph-ansible

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Use config for layers

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Bracket IPv6 address in ironic_inspector healthcheck

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Make healthchecks more strict

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Always convert to docker media format

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Improve step task check to cater for whitespace
- Make ()'s around step|int optional

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Added support of overcloud os_cloud"
- Using API instead yaql to get manageable nodes

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add RootStackName parameter on stack update

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- tests: Get RoleData correctly

* Thu Feb 06 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- image_uploader (attempt #3): fix images upload with no labels

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Tune ansible configuration for better performance

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Revert "Make healthchecks more strict"" into stable/train
- Revert "Make healthchecks more strict"

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Make healthchecks more strict" into stable/train
- Merge "Raise exception on KeyboardInterrupt" into stable/train
- Raise exception on KeyboardInterrupt
- Make healthchecks more strict

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Fix grafana container location/tag (rhbz#1785692 rhbz#1793986)
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Clarify introspection failed attempt log message

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Enforce 0600 permissions on an existing SSH private key file." into stable/train
- Enforce 0600 permissions on an existing SSH private key file.

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Force docker format

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Handle stack not found during inventory generation" into stable/train
- Merge "Dynamically set the number of Ansible forks." into stable/train
- Merge "container_update: Retry removing containers." into stable/train
- container_update: Retry removing containers.
- Dynamically set the number of Ansible forks.
- Handle stack not found during inventory generation

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Image uploader: use HTTPS for "no verify" registries" into stable/train
- Image uploader: use HTTPS for "no verify" registries

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Improve error messaging around auth failures" into stable/train
- Improve error messaging around auth failures

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Fix node-exporter tag (rhbz#1785692)

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Fix rhcs4 dashboard container tag name (rhbz#1785692)
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Derive new nova compute parameters" into stable/train
- Derive network config fails
- Derive new nova compute parameters

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Switch to GA container locations (rhbz#1785692 rhbz#1791928)
- image_uploader (attempt #3): fix images upload with no labels (rhbz#1784665)

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Change the python interpreter discovery mode." into stable/train
- Change the python interpreter discovery mode.

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Clean up instance defaults setting" into stable/train
- Remove checking for already running config_download_deploy
- Clean up instance defaults setting

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "image_uploader/base handle when an image has null labels" into stable/train
- image_uploader/base handle when an image has null labels

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.2-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "workbooks/deployment: ignore uuid to hostname errors with splitstack & nova-less" into stable/train
- Merge "Add container images for DCN/Edge deployments" into stable/train
- workbooks/deployment: ignore uuid to hostname errors with splitstack & nova-less
- add and unify the retries when messages are published to swift
- Add container images for DCN/Edge deployments

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "image_uploader: handle when an image has null labels" into stable/train
- image_uploader: handle when an image has null labels

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix quoting for PYTHONWARNINGS

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Default to 50 Ansible forks." into stable/train
- Merge "Bump ceph/daemon container image to v4.0.8" into stable/train
- Default to 50 Ansible forks.
- Bump ceph/daemon container image to v4.0.8

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Add deploy_steps_tasks to PER_TASK_STEPS" into stable/train
- Merge "config: refactor how per step tasks are generated" into stable/train
- Merge "Ensure blacklisted nodes are not included in server_names" into stable/train
- Ensure blacklisted nodes are not included in server_names
- Add deploy_steps_tasks to PER_TASK_STEPS
- config: refactor how per step tasks are generated

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Pass container_config to config actions" into stable/train
- Pass container_config to config actions

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "image-uploader: allow an image without Labels to be uploaded" into stable/train
- Merge "actions/ansible: catch errors when cleaning the work directory" into stable/train
- Merge "Remove workdir only if it's a temporary one" into stable/train
- image-uploader: allow an image without Labels to be uploaded
- actions/ansible: catch errors when cleaning the work directory
- Remove workdir only if it's a temporary one

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Pass container_config to config actions (rhbz#1779356)
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Add horizon health check" into stable/train
- Add horizon health check

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Incorrectly derives NeutronPhysnetNUMANodesMapping

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "kolla/overrides: add missing healthcheck for ironic-neutron-agent" into stable/train
- Merge "OvS DPDK parameters failing in NIC Partitioning" into stable/train
- OvS DPDK parameters failing in NIC Partitioning
- kolla/overrides: add missing healthcheck for ironic-neutron-agent

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Fix ironic-pxe container healthcheck" into stable/train
- Fix ironic-pxe container healthcheck

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- [DOWNSTREAM-ONLY] Adding checks to fail early if Sahara is enabled (rhbz#1730322)
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Revert "Update hostvars lookup to fix regression"" into stable/train
- Revert "Update hostvars lookup to fix regression"

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Thu Dec 12 2019 Kevin Carter <kecarter@redhat.com> 11.3.2-0.20191212040219.77511ee
- Revert "Update hostvars lookup to fix regression" (rhbz#1782867)

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Add healthcheck for nova-virtlogd container" into stable/train
- Add healthcheck for nova-virtlogd container

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Make containerized-undercloud-upgrades vote on train" into stable/train
- Make containerized-undercloud-upgrades vote on train

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Quote output values for overcloudrc

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Update hostvars lookup to fix regression

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Tue Dec 03 2019 Kevin Carter <kecarter@redhat.com> 11.3.2-0.20191127200419.5c82293
- Update hostvars lookup to fix regression

* Wed Nov 27 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Add a healthcheck for ironic-neutron-agent

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Escape invalid JSON characters during deployment.

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Ignore blacklisted nodes when rendering network config" into stable/train
- Pin ceph dashboard containers on a specific tag
- Ignore blacklisted nodes when rendering network config

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Make upload workers faster on processing layers

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Use the Mistral directory for storing the Ansible fact cache." into stable/train
- Use the Mistral directory for storing the Ansible fact cache.

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Improve Swift healthchecks

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Fix ceilometer_agent_compute health check

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Revert "Set display_skipped_host to no"" into stable/train
- Revert "Set display_skipped_host to no"

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Stop logging manifest in debug

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- [Train-Only] Switch container images to train namespace

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Raise correct exception when worker fails" into stable/train
- Raise correct exception when worker fails
- Adjust base_centos_yum_repo_packages for stable/train

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Handle IPv6 addresses in ironic_pxe_tftp healthcheck

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.1-1
- Update patches

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Reset *RemovalPoliciesMode for node delete" into stable/train
- Merge "Fix missing lock" into stable/train
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Merge "Update .gitreview for stable/train" into stable/train
- Fix missing lock
- Reset *RemovalPoliciesMode for node delete
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Use port 547 for dhcpv6 healthchecks when using IPv6" into stable/train
- Use port 547 for dhcpv6 healthchecks when using IPv6

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- get_undercloud_registry() - Default to: 'localhost:8787'

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Add OS_COMPUTE_API_VERSION to overcloudrc" into stable/train
- Fix py3 issue in get_undercloud_registry()
- Add OS_COMPUTE_API_VERSION to overcloudrc

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 11.3.0-1
- Fix py3 issue in get_undercloud_registry()

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- fix linters

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Remove Trove password constant
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Get undercloud name in get_undercloud_registry()"
- Merge "Bump ceph/daemon container image to v4.0.4"
- Merge "Fix dynamic executor appending to objects"
- Get undercloud name in get_undercloud_registry()
- Fix dynamic executor appending to objects
- Bump ceph/daemon container image to v4.0.4
- Merge "Remove Trove password constant"
- Merge "Remove tacker container code"
- Merge "Cleanup override file"
- Merge "Migrate building IPA to ironic-python-agent-builder"
- Remove Trove password constant
- Remove tacker container code
- Cleanup override file
- Migrate building IPA to ironic-python-agent-builder

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Fix error in parsing nic config with duplicate quotes"
- Merge "Officially deprecate the skopeo image uploader"
- Officially deprecate the skopeo image uploader
- Fix error in parsing nic config with duplicate quotes

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Make executor type dynamic
- Use tenancity to backoff when layer is locked

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Properly catch exceptions when locking a layer

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Improving debug logging

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Revert "Revert "[DOWNSTREAM-ONLY] remove references to Skydive""
- [DOWNSTREAM-ONLY] drop odl, designate, and tripleo-ui containers
- (downstream) - ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- (DOWNSTREAM-ONLY) Update container_image_prepare_defaults.yaml for distribution defaults
- Merge "Prefix ansible output with timestamps"
- Merge "Raise exception when no IPs found"
- Merge "Make gitpython and eventlet work with eventlet 0.25.1"
- Make gitpython and eventlet work with eventlet 0.25.1
- Raise exception when no IPs found
- Implement Ansible fact cache for Mistral executor
- Prefix ansible output with timestamps


